package com.bonus.boot.manager.manager.dao;

import com.bonus.boot.manager.basic.entity.ZNode;
import com.bonus.boot.manager.manager.entity.OrgBean;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository(value = "OrgDao")
public interface OrgDao {
    List<ZNode> getAll(String companyId);

    int addOrg(OrgBean bean);

    int updateOrg(OrgBean bean);

    int deleteOrg(OrgBean bean);

    OrgBean findCompanyInfo(OrgBean o);

    List<ZNode> getCompanyTree(OrgBean bean);
}
